package myUIDelegateExample;

import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;
import javax.swing.event.TableModelEvent;
import javax.swing.event.TableModelListener;

/**
 * This class implements controller behaviour for the application.
 * 
 * It receives requests (from the end user) and passes them to the model and/or
 * the view via method invocation
 * 
 */
public class View1Controller implements TableModelListener {
	private View1 view;
	private MyDataModelForTableModel model;

	/*
	 * Creates a controller for the given view and model. @param view the view
	 * of the GUI. @param model the model of the GUI.
	 */
	public View1Controller(View1 view, MyDataModelForTableModel model) {
		this.view = view;
		this.model = model;
	}

	public void tableChanged(TableModelEvent e) {
		System.out.println("tableChanged method invoked in: "
				+ this.getClass().getName());
		System.out.println("type (-1=delete, 0=update, 1=insert): "
				+ e.getType());
		System.out.println("more info about event: " + e.toString());
	}
}
